set memory 64m
set more off

do ExperimentA_RecodeVariables.do

label var implicit "Implicit ad"
label var explicit "Explicit ad"
label var control "Control message"

gen implicit_abp=implicit* anti_black_predisp
label var implicit_abp "Implicit ad x Anti-black Predispositions"
gen explicit_abp=explicit* anti_black_predisp
label var explicit_abp "Explicit ad x Anti-black Predispositions"
gen control_abp=control*anti_black_predisp
label var control_abp "Control message x Anti-black Predispositions"

gen explicit_educ=educ*explicit
gen control_educ=educ*control

keep if educ==1 | educ==2

*POPReplyTableA
oprobit decrease_spending  educ_abp explicit_educ control_educ         explicit implicit control_abp implicit_abp explicit_abp educ age age2 female conservatism, robust
outreg  control_abp implicit_abp using "POPReplyTableA.out", bracket bfmt(fc) bdec(3) tdec(3) nonotes replace
test implicit_abp=control_abp

oprobit strengthen_work_reqs educ_abp explicit_educ control_educ       explicit implicit control_abp implicit_abp explicit_abp educ age age2 female conservatism, robust
outreg  control_abp implicit_abp using "POPReplyTableA.out", bracket bfmt(fc) bdec(3) tdec(3) nonotes append
test implicit_abp=control_abp

oprobit Oppose_Govt_Help_Blacks educ_abp explicit_educ control_educ    explicit implicit control_abp implicit_abp explicit_abp educ age age2 female conservatism, robust
outreg  control_abp implicit_abp using "POPReplyTableA.out", bracket bfmt(fc) bdec(3) tdec(3) nonotes append
test implicit_abp=control_abp

oprobit Decrease_Affirmative_Action educ_abp explicit_educ control_educ explicit implicit control_abp implicit_abp explicit_abp educ age age2 female conservatism, robust
outreg  control_abp implicit_abp using "POPReplyTableA.out", bracket bfmt(fc) bdec(3) tdec(3) nonotes append
test implicit_abp=control_abp
